For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTConfigure webhook from documentation
      • POSTInfer schema from JSON payload
      • POSTToggle webhook learning mode
      • GETGet webhook field mappings
      • PUTUpdate webhook field mappings
      • GETList webhook observations
      • DELClear webhook observations
      • GETGet event routing configuration
      • PUTUpdate event routing configuration
      • GETGet webhook schema
      • POSTUpload webhook schema
      • POSTConfirm proposed schema
Dashboard
LogoLogo
Runtype APIWebhook Management

Infer schema from JSON payload

POST
/v1/products/:id/surfaces/:surfaceId/webhook-infer
POST
/v1/products/:id/surfaces/:surfaceId/webhook-infer
$curl -X POST https://api.runtype.com/v1/products/id/surfaces/surfaceId/webhook-infer \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "learningState": "completed",
3 "mappingSuggestions": [
4 null
5 ]
6}
Infer a webhook schema from a pasted JSON payload.
Was this page helpful?
Previous

Toggle webhook learning mode

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Product ID
surfaceIdstringRequired
Surface ID

Request

This endpoint expects an object.
payloadanyOptional

Response

Schema inferred
learningStatestring
mappingSuggestionslist of any
jsonSchemaany
schemaany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error